<?php
/**
 * @package Nicepage Website Builder
 * @author Nicepage https://www.nicepage.com
 * @copyright Copyright (c) 2016 - 2019 Nicepage
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
 */
defined('_JEXEC') or die;

class PagesTableSections extends JTable
{
    /**
     * Constructor
     *
     * @param JDatabaseDriver $db Database connector object
     */
    public function __construct(&$db)
    {
        parent::__construct('#__nicepage_sections', 'id', $db);
    }

    /**
     * Get all articles ids
     *
     * @return mixed
     */
    public function getAllPageIds()
    {
        $db = $this->getDbo();
        $query = $db->getQuery(true)
            ->select('page_id')
            ->from('#__nicepage_sections');
        $db->setQuery($query);
        return $db->loadAssocList(null, 'page_id');
    }
}